# Cyphernet network services: library for privacy-preserving microservices.

![Build](https://github.com/Cyphernet-DAO/rust-netservices/workflows/Build/badge.svg)
![Tests](https://github.com/Cyphernet-DAO/rust-netservices/workflows/Tests/badge.svg)
![Lints](https://github.com/Cyphernet-DAO/rust-netservices/workflows/Lints/badge.svg)
[![codecov](https://codecov.io/gh/Cyphernet-DAO/rust-netservices/branch/master/graph/badge.svg)](https://codecov.io/gh/Cyphernet-DAO/rust-netservices)

[![crates.io](https://img.shields.io/crates/v/netservices)](https://crates.io/crates/netservices)
[![Docs](https://docs.rs/netservices/badge.svg)](https://docs.rs/netservices)
[![Apache-2 licensed](https://img.shields.io/crates/l/netservices)](./LICENSE)

A set of tools for building scalable microservice-based apps and P2P nodes in a 
privacy-preserving way using [`cyphernet`] library with its Noise protocol 
framework end-to-end encryption, mixnet support, P2P decentralized node ids,
[`io-reactor`] concurrent scalable network services.

## Documentation

API reference documentation for the library can be accessed at
<https://docs.rs/netservices/>.


## Licensing

The libraries are distributed on the terms of Apache 2.0 opensource license.
See [LICENCE](LICENSE) file for the license details.

[`cyphernet`]: https://crates.io/crates/cyphernet
[`io-reactor`]: https://crates.io/crates/io-reactor
